MINGETTY(8)

NAME
mingetty - minimal getty for consoles

SYNOPSIS
mingetty [--noclear] [--nonewline] [--noissue] [--nohangup] [--nohostname] [--long-hostname] [--loginprog=/bin/login] [--nice=10] [--delay=5] [--chdir=/home] [--chroot=/chroot] [--autologin username] [--loginpause] tty

DESCRIPTION
mingetty is a minimal getty for use on virtual consoles. Unlike agetty(8), mingetty is not suitable for serial lines. I recommend using mgetty(8) for this purpose.

OPTIONS

--noclear
    Do not clear the screen before prompting for the login name (the screen is normally cleared).

--nonewline
    Do not print a newline before writing out /etc/issue.

--noissue
    Do not output /etc/issue.

--nohangup
    Do not call vhangup() to disable writing to this tty by other applications.

--nohostname
    Do not print the hostname before the login prompt.

--long-hostname
    By default the hostname is only printed until the first dot. With this option enabled, the full text from gethostname() is shown.

--loginprog /bin/login
    Change the login app.

--nice 10
    Change the priority by calling nice().

--delay 5
    Sleep this many seconds after startup of mingetty.

--chdir /home
    Change into this directory before calling the login prog.

--chroot /chroot
    Call chroot() with this directory name.

--autologin username
    Log the specified user automatically in without asking for a login name and password. Check the -f option from /bin/login for this.

--loginpause
    Wait for any key before dropping to the login prompt. Can be combined with --autologin to save memory by lazily spawning shells.

ISSUE ESCAPES
mingetty recognizes the following escapes sequences which might be embedded in the /etc/issue file:

\d  insert current day (localtime),

\l  insert line on which mingetty is running,

\m  inserts machine architecture (uname -m),

\n  inserts machine's network node hostname (uname -n),

\o  inserts domain name,

\r  inserts operating system release (uname -r),

\t  insert current time (localtime),

\s  inserts operating system name,

\u  resp. \U the current number of users which are currently logged in. \U inserts "n users", where as \u only inserts "n".

\v  inserts operating system version (uname -v).

EXAMPLE
"Linux eos i386 #1 Tue Mar 19 21:54:09 MET 1996" was produced by putting "\s \n \m \v" into /etc/issue.

FILES
/etc/issue, /var/run/utmp.

SEE ALSO
mgetty(8), agetty(8).

AUTHOR
Copyright © 1996 Florian La Roche <laroche@redhat.com>. Man-page written by David Frey <David.Frey@eos.lugs.ch> and Florian La Roche.